#include <iostream>
#include <chrono>

#include <opencv2/core.hpp>
#include <opencv2/videoio.hpp>
#include <opencv2/highgui.hpp>
#include <opencv2/imgproc.hpp>

int main(int argc, char* argv[])
{
	cv::VideoCapture capture;

	bool success = true;
	if (argc < 2)
	{
		success = capture.open(0);
	}
	else
	{
		success = capture.open(argv[1]);
	}
	if (!success)
	{
		std::cerr << "Unable to open video capture" << std::endl;
		return 0;
	}

	cv::namedWindow("Input");

	cv::Mat frame;
	while (capture.read(frame))
	{
		// TODO: AR demo megvalositasa itt

		cv::imshow("Input", frame);

		char key = static_cast<char>(cv::waitKey(1));
		if (key == 27) { std::cout << "Exiting..." << std::endl; break; }
	}

	return 0;
}
